// LaunchBar Action Script

function run(argument) {
    if (argument == undefined) {
        // Inform the user that there was no argument
        LaunchBar.alert('No argument was passed to the action');
    } else {
        // Return a single item that describes the argument
  			
  			var pathNameArr = argument.toString().split('/')
  			var projectName = pathNameArr[pathNameArr.length-1];
  			
    		var presentBranch = LaunchBar.execute('/usr/bin/git',  '-C',  argument, 'symbolic-ref', '--short', 'HEAD');
  			presentBranch = presentBranch.length > 0 ? presentBranch : 'no git repo';
  
        return [{ title: projectName + ': ' + presentBranch}];
    }
}