// LaunchBar Action Script

function run(argument) {
    if (argument == undefined) {
        // Inform the user that there was no argument
        LaunchBar.alert('No argument was passed to the action');
    } else {
    		var presentBranch = LaunchBar.execute('/usr/bin/git',  '-C',  argument, 'symbolic-ref', '--short', 'HEAD');
  			if (presentBranch.length > 0) {
						LaunchBar.execute('/bin/bash', 'writefile.sh', argument); 
						LaunchBar.displayNotification({
						title: 'Set head in Textbar',
						string: argument.toString()
					});   		
  			}
    		else {
						LaunchBar.displayNotification({
						title: 'Not a git repo',
					});
				}
        // Return a single item that describes the argument
    }
}
